Subject: [bug#50208] [PATCH 0/5] Add home-environment and related services

From: Andrew Tropin <[email-masked]>
Date: Fri, 27 Aug 2021 18:28:14 +0300

On 2021-08-27 09:49, Andrew Tropin wrote:

> On 2021-08-26 13:58, Oleg Pykhalov wrote:
>
>> I applied your patch, replaces tabs with spaces, modified commit message
>> according to GNU standards, added the file to gnu/local.mk for
>> compilation (I forgot to do it for previous patch series, apologies).
>>
>>
>> I would like to squash the patch for home-services.scm with a previous
>> series (hope force push will work), but I should ask you could I do it?
>> Otherwise I could just push two patches to wip-guix-home.
>>
>> Updated patches are attached below.
>
> On top of the patches above I made a new patch series, which introduces
> home-environment and a set of default services, which are expected to be
> present in most Guix Home configurations.
>
> Andrew Tropin (5):
>   home-services: Add fontutils.
>   home-services: Add helper functions for service configurations.
>   home-services: Add shells.
>   home-services: Add xdg.
>   home: Add home-environment.
>
>  gnu/home-services/configuration.scm |  63 +++
>  gnu/home-services/fontutils.scm     |  65 +++
>  gnu/home-services/shells.scm        | 637 ++++++++++++++++++++++++++++
>  gnu/home-services/xdg.scm           | 475 +++++++++++++++++++++
>  gnu/home.scm                        |  97 +++++
>  gnu/local.mk                        |   5 +
>  6 files changed, 1342 insertions(+)
>  create mode 100644 gnu/home-services/configuration.scm
>  create mode 100644 gnu/home-services/fontutils.scm
>  create mode 100644 gnu/home-services/shells.scm
>  create mode 100644 gnu/home-services/xdg.scm
>  create mode 100644 gnu/home.scm

Is it ok to keep discussion and review of the patch series in this
thread or better create a new ticket for that?

I posted it here, because it relies on symlink-manager, but not sure if
it's handy for reviewers.